Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.ivy
[Java] Interface IvyArtifactSet

    org.gradle.api.publish.ivy.IvyArtifactSet
      java.lang.Iterable
          org.gradle.api.DomainObjectCollection
              java.util.Collection
                  org.gradle.api.DomainObjectSet

All Superinterfaces:
  Iterable, DomainObjectCollection, Collection, DomainObjectSet

    @Incubating
    public interface IvyArtifactSet
    extends DomainObjectSet

A Collection of IvyArtifacts to be included in an IvyPublication. Being a DomainObjectSet, a `IvyArtifactSet` provides convenient methods for querying, filtering, and applying actions to the set of IvyArtifacts.

     apply plugin: 'ivy-publish'

     def publication = publishing.publications.create("my-pub", IvyPublication)
     def artifacts = publication.artifacts

     artifacts.matching({
         it.type == "source"
     }).all({
         it.extension = "src.jar"
     })

See Also:
  DomainObjectSet

Method Summary
`IvyArtifact` | `artifact(Object source)` Creates and adds a IvyArtifact to the set.
`IvyArtifact` | `artifact(Object source, Action config)` Creates and adds a IvyArtifact to the set, which is configured by the associated action.

Methods inherited from interface DomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### artifact

    public IvyArtifact artifact(Object source)

  Creates and adds a IvyArtifact to the set. The semantics of this method are the same as IvyPublication#artifact(Object)#artifact(Object).
  Parameters:
    `source` - The source of the artifact content.

### artifact

    public IvyArtifact artifact(Object source, Action config)

  Creates and adds a IvyArtifact to the set, which is configured by the associated action. The semantics of this method are the same as IvyPublication#artifact(Object, Action)#artifact(Object, Action).
  Parameters:
    `source` - The source of the artifact.
    `config` - An action to configure the values of the constructed IvyArtifact.

Gradle API 1.10